Bug 1472515 - postgresql-odbc-09.06.0410 is available
postgresql-odbc-09.06.0410 is available
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: postgresql-odbc (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Raiskup
Fedora Extras Quality Assurance
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-18 20:21 EDT by Upstream Release Monitoring
Modified: 2017-07-31 08:07 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-31 08:07:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
[patch] Update to 09.06.0400 (#1472515) (1.01 KB, patch)
2017-07-18 20:21 EDT, Upstream Release Monitoring
no flags Details | Diff

  None (edit)
Description Upstream Release Monitoring 2017-07-18 20:21:30 EDT
Latest upstream release: 09.06.0400
Current version/release in rawhide: 09.06.0310-1.fc27
URL: http://www.postgresql.org/ftp/odbc/versions/src/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3697/
Comment 1 Upstream Release Monitoring 2017-07-18 20:21:41 EDT
Created attachment 1300750 [details]
[patch] Update to 09.06.0400 (#1472515)
Comment 2 Upstream Release Monitoring 2017-07-18 20:27:07 EDT
hotness's scratch build of postgresql-odbc-09.06.0400-1.el7.src.rpm for rawhide failed http://koji.fedoraproject.org/koji/taskinfo?taskID=20603719
Comment 3 Pavel Raiskup 2017-07-19 02:02:56 EDT
blocked by FTBFS on x86_64:
---------------------------

...
cursor-movement ............ ok   
cursor-commit .............. ok   
cursor-name ................ ok   
cursor-block-delete ........ Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/1 subtests 
bookmark ................... ok   
declare-fetch-commit ....... ok   
declare-fetch-block ........ ok   
positioned-update .......... ok   
bulkoperations ............. ok   
catalogfunctions ........... ok   
bindcol .................... ok   
lfconversion ............... ok   
cte ........................ ok   
deprecated ................. ok   
errors ..................... ok   
error-rollback ............. Dubious, test returned 1 (wstat 256, 0x100)
Failed 1/1 subtests 
diagnostic ................. ok   
numeric .................... ok   
large-object ............... ok   
large-object-data-at-exec .. ok   
odbc-escapes ............... ok   
wchar-char ................. ok   

Test Summary Report
-------------------
cursor-block-delete      (Wstat: 256 Tests: 1 Failed: 1)
  Failed test:  1
  Non-zero exit status: 1
error-rollback           (Wstat: 256 Tests: 1 Failed: 1)
  Failed test:  1
  Non-zero exit status: 1
Files=46, Tests=46,  4 wallclock secs ( 0.17 usr  0.06 sys +  1.23 cusr  0.51 csys =  1.97 CPU)
Result: FAIL
make: *** [Makefile:33: installcheck] Error 1
+ echo '=== trying to find all regression.diffs files in build directory ==='
=== trying to find all regression.diffs files in build directory ===
+ find -name regression.diffs
+ read line
+ cat ./regression.diffs
*** ./expected/cursor-block-delete.out  Tue Jul 18 15:07:48 2017
--- results/cursor-block-delete.out     Wed Jul 19 08:01:34 2017
***************
*** 1,66 ****
  connected
        orientation=2 delete count=0
!       orientation=4 delete count=30
!       orientation=1 delete count=53
!       orientation=4 delete count=70
!       orientation=1 delete count=83
!       orientation=4 delete count=93
!       orientation=1 delete count=100
!       orientation=4 delete count=105
!       orientation=1 delete count=109
!       orientation=4 delete count=112
!       orientation=1 delete count=114
!       orientation=4 delete count=116
!       orientation=1 delete count=117
!       orientation=4 delete count=118
!       orientation=1 delete count=119
!       orientation=4 delete count=120
! delete all count 120
!       orientation=2 delete count=0
!       orientation=4 delete count=32
!       orientation=1 delete count=56
!       orientation=4 delete count=74
!       orientation=1 delete count=88
!       orientation=4 delete count=98
!       orientation=1 delete count=106
!       orientation=4 delete count=112
!       orientation=1 delete count=116
!       orientation=4 delete count=119
!       orientation=1 delete count=122
!       orientation=4 delete count=124
!       orientation=1 delete count=125
!       orientation=4 delete count=126
!       orientation=1 delete count=127
!       orientation=4 delete count=128
! delete all count 128
!       orientation=2 delete count=0
!       orientation=4 delete count=31
!       orientation=1 delete count=55
!       orientation=4 delete count=73
!       orientation=1 delete count=86
!       orientation=4 delete count=96
!       orientation=1 delete count=103
!       orientation=4 delete count=109
!       orientation=1 delete count=113
!       orientation=4 delete count=116
!       orientation=1 delete count=118
!       orientation=4 delete count=120
!       orientation=1 delete count=121
!       orientation=4 delete count=122
!       orientation=1 delete count=123
!       orientation=4 delete count=124
! delete all count 124
!       orientation=2 delete count=0
!       orientation=4 delete count=10
!       orientation=1 delete count=17
!       orientation=4 delete count=23
!       orientation=1 delete count=27
!       orientation=4 delete count=30
!       orientation=1 delete count=32
!       orientation=4 delete count=34
!       orientation=1 delete count=35
!       orientation=4 delete count=36
!       orientation=1 delete count=37
!       orientation=4 delete count=38
! delete all count 38
! disconnecting
--- 1,5 ----
  connected
        orientation=2 delete count=0
! SQLSetPos delete failed
! 3B001=ERROR: no such savepoint;
! SetPos delete return error
*** ./expected/error-rollback.out       Tue Jul 18 15:07:48 2017
--- results/error-rollback.out  Wed Jul 19 08:01:34 2017
***************
*** 28,57 ****
  Executing query that will fail
  Failed to execute statement
  22P02=ERROR: invalid input syntax for integer: "fail-1";
! Error while executing the query
! Executing query that will succeed
  Executing query that will succeed
! Executing query that will fail
! Failed to execute statement
! 22P02=ERROR: invalid input syntax for integer: "fail-1";
  Error while executing the query
- Executing query that will fail
- Failed to execute statement
- 22P02=ERROR: invalid input syntax for integer: "fail-1";
- Error while executing the query
- Executing query that will succeed
- Executing procedure call that will fail
- Failed to execute procedure call
- 42883=ERROR: function invalidfunction() does not exist;
- Error while executing the query
- Executing query that will succeed
- Executing query that will succeed
- Result set:
- 1
- 2
- 3
- 4
- 5
- 6
- 7
- disconnecting
--- 28,35 ----
  Executing query that will fail
  Failed to execute statement
  22P02=ERROR: invalid input syntax for integer: "fail-1";
! internal ROLLBACK failed
  Executing query that will succeed
! SQLExecDirect failed
! 25P02=ERROR: current transaction is aborted, commands ignored until end of transaction block;
  Error while executing the query
Comment 4 Pavel Raiskup 2017-07-19 02:09:04 EDT
Falling back to upstream report only ATM, any investigation is welcome:
https://www.postgresql.org/message-id/1547055.0Wo02T1GxT@nb.usersys.redhat.com
Comment 5 Pavel Raiskup 2017-07-24 23:57:52 EDT
Upstream provided a patch for this issue, but there are other serious
bugreports upstream for 09.06.0400 version.

Upstream promised to make a bugfix release soon -- so I'm waiting for
that.
Comment 6 Upstream Release Monitoring 2017-07-27 20:21:51 EDT
Latest upstream release: 09.06.0410
Current version/release in rawhide: 09.06.0310-1.fc27
URL: http://www.postgresql.org/ftp/odbc/versions/src/

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at: https://fedoraproject.org/wiki/Upstream_release_monitoring

Please keep in mind that with any upstream change, there may also be packaging changes that need to be made. Specifically, please remember that it is your responsibility to review the new version to ensure that the licensing is still correct and that no non-free or legally problematic items have been added upstream.

Based on the information from anitya:  https://release-monitoring.org/project/3697/
Comment 7 Upstream Release Monitoring 2017-07-27 20:21:55 EDT
One or more of the new sources for this package are identical to the old sources. It's likely this package does not use the version macro in its Source URLs. If possible, please update the specfile to include the version macro in the Source URLs
Comment 8 Upstream Release Monitoring 2017-07-31 08:04:47 EDT
pkubat's postgresql-odbc-09.06.0410-1.fc27 completed http://koji.fedoraproject.org/koji/buildinfo?buildID=930153

Note You need to log in before you can comment on or make changes to this bug.